org.richfaces.component

## Class UINotify

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractNotify
      - - org.richfaces.component.UINotify

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, DisabledProps, EventsKeyProps, EventsMouseProps, OutputFormatProps, StyleClassProps, NotifyAttributes

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UINotify
      extends AbstractNotify
      implements javax.faces.component.behavior.ClientBehaviorHolder, NotifyAttributes, OutputFormatProps, StyleClassProps

  The <rich:notify> component serves for advanced user interaction, using notification boxes to give the user instant feedback on what's happening within the application. Each time this component is rendered, a floating notification box is displayed in the selected corner of the browser screen.

  Author:
    Lukas Fryc, Brian Leathem

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UINotify.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.AbstractNotify

      `DEFAULT_NONBLOCKING_OPACITY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UINotify()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultEventName()`
    `String` | `getDetail()`
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `Double` | `getNonblockingOpacity()`
    `String` | `getOnclick()` Javascript code executed when a pointer button is clicked over this element.
    `String` | `getOndblclick()` Javascript code executed when a pointer button is double clicked over this element.
    `String` | `getOnkeydown()` Javascript code executed when a key is pressed down over this element.
    `String` | `getOnkeypress()` Javascript code executed when a key is pressed and released over this element.
    `String` | `getOnkeyup()` Javascript code executed when a key is released over this element.
    `String` | `getOnmousedown()` Javascript code executed when a pointer button is pressed down over this element.
    `String` | `getOnmousemove()` Javascript code executed when a pointer button is moved within this element.
    `String` | `getOnmouseout()` Javascript code executed when a pointer button is moved away from this element.
    `String` | `getOnmouseover()` Javascript code executed when a pointer button is moved onto this element.
    `String` | `getOnmouseup()` Javascript code executed when a pointer button is released over this element.
    `String` | `getStack()`
    `Integer` | `getStayTime()`
    `String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `String` | `getSummary()`
    `boolean` | `isDisabled()` Flag indicating that this element must never receive focus or be included in a subsequent submit.
    `boolean` | `isEscape()` Flag indicating that characters that are sensitive in HTML and XML markup must be escaped.
    `boolean` | `isNonblocking()`
    `boolean` | `isShowCloseButton()`
    `boolean` | `isShowShadow()`
    `boolean` | `isSticky()`
    `void` | `setDetail(String detail)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setEscape(boolean escape)`
    `void` | `setNonblocking(boolean nonblocking)`
    `void` | `setNonblockingOpacity(Double nonblockingOpacity)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnkeydown(String onkeydown)`
    `void` | `setOnkeypress(String onkeypress)`
    `void` | `setOnkeyup(String onkeyup)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setShowCloseButton(boolean showCloseButton)`
    `void` | `setShowShadow(boolean showShadow)`
    `void` | `setStack(String stack)`
    `void` | `setStayTime(Integer stayTime)`
    `void` | `setSticky(boolean sticky)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setSummary(String summary)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UINotify

          public UINotify()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getDetail

          public String getDetail()

      Specified by:
        `getDetail` in class `AbstractNotify`

    - #### setDetail

          public void setDetail(String detail)

    - #### isDisabled

          public boolean isDisabled()

      Description copied from interface: `DisabledProps`
      Flag indicating that this element must never receive focus or be included in a subsequent submit.
      Specified by:
        `isDisabled` in interface `DisabledProps`
      Specified by:
        `isDisabled` in class `AbstractNotify`

    - #### setDisabled

          public void setDisabled(boolean disabled)

    - #### isEscape

          public boolean isEscape()

      Description copied from interface: `OutputFormatProps`
      Flag indicating that characters that are sensitive in HTML and XML markup must be escaped. This flag is set to "true" by default.
      Specified by:
        `isEscape` in interface `OutputFormatProps`

    - #### setEscape

          public void setEscape(boolean escape)

    - #### isNonblocking

          public boolean isNonblocking()

      Specified by:
        `isNonblocking` in interface `NotifyAttributes`

    - #### setNonblocking

          public void setNonblocking(boolean nonblocking)

      Specified by:
        `setNonblocking` in interface `NotifyAttributes`

    - #### getNonblockingOpacity

          public Double getNonblockingOpacity()

      Specified by:
        `getNonblockingOpacity` in interface `NotifyAttributes`

    - #### setNonblockingOpacity

          public void setNonblockingOpacity(Double nonblockingOpacity)

      Specified by:
        `setNonblockingOpacity` in interface `NotifyAttributes`

    - #### getOnclick

          public String getOnclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is clicked over this element.
      Specified by:
        `getOnclick` in interface `EventsMouseProps`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOndblclick

          public String getOndblclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is double clicked over this element.
      Specified by:
        `getOndblclick` in interface `EventsMouseProps`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnkeydown

          public String getOnkeydown()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed down over this element.
      Specified by:
        `getOnkeydown` in interface `EventsKeyProps`

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

    - #### getOnkeypress

          public String getOnkeypress()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed and released over this element.
      Specified by:
        `getOnkeypress` in interface `EventsKeyProps`

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

    - #### getOnkeyup

          public String getOnkeyup()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is released over this element.
      Specified by:
        `getOnkeyup` in interface `EventsKeyProps`

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

    - #### getOnmousedown

          public String getOnmousedown()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is pressed down over this element.
      Specified by:
        `getOnmousedown` in interface `EventsMouseProps`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved within this element.
      Specified by:
        `getOnmousemove` in interface `EventsMouseProps`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved away from this element.
      Specified by:
        `getOnmouseout` in interface `EventsMouseProps`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved onto this element.
      Specified by:
        `getOnmouseover` in interface `EventsMouseProps`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is released over this element.
      Specified by:
        `getOnmouseup` in interface `EventsMouseProps`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### isShowCloseButton

          public boolean isShowCloseButton()

      Specified by:
        `isShowCloseButton` in interface `NotifyAttributes`

    - #### setShowCloseButton

          public void setShowCloseButton(boolean showCloseButton)

      Specified by:
        `setShowCloseButton` in interface `NotifyAttributes`

    - #### isShowShadow

          public boolean isShowShadow()

      Specified by:
        `isShowShadow` in interface `NotifyAttributes`

    - #### setShowShadow

          public void setShowShadow(boolean showShadow)

      Specified by:
        `setShowShadow` in interface `NotifyAttributes`

    - #### getStack

          public String getStack()

      Specified by:
        `getStack` in interface `NotifyAttributes`

    - #### setStack

          public void setStack(String stack)

      Specified by:
        `setStack` in interface `NotifyAttributes`

    - #### getStayTime

          public Integer getStayTime()

      Specified by:
        `getStayTime` in interface `NotifyAttributes`

    - #### setStayTime

          public void setStayTime(Integer stayTime)

      Specified by:
        `setStayTime` in interface `NotifyAttributes`

    - #### isSticky

          public boolean isSticky()

      Specified by:
        `isSticky` in interface `NotifyAttributes`

    - #### setSticky

          public void setSticky(boolean sticky)

      Specified by:
        `setSticky` in interface `NotifyAttributes`

    - #### getStyleClass

          public String getStyleClass()

      Description copied from interface: `StyleClassProps`
      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getStyleClass` in interface `StyleClassProps`
      Specified by:
        `getStyleClass` in interface `NotifyAttributes`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

      Specified by:
        `setStyleClass` in interface `NotifyAttributes`

    - #### getSummary

          public String getSummary()

      Specified by:
        `getSummary` in class `AbstractNotify`

    - #### setSummary

          public void setSummary(String summary)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.